MetacatUI - Task #6631

Add downloads chart to the Stats View using the log agg Solr index
12/16/2014 02:14 PM - Lauren Walker

Status: Resolved Start date: 12/16/2014
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.9.0 Spent time: 0.00 hour
Description

The downloads graph in the Stats/Summary view is currently using some data that was hard coded into the app since there was no
Solr log aggregation service available for the app to use outside of the NCEAS network. There is Solr endpoint in the dev
environment right now that the app can use but we should remember to change the endpoint once it is in production.

Related issues:
Related to MetacatUI - Feature #6641: add additional stats to #profile page New 01/06/2015

History

#1 - 12/16/2014 02:15 PM - Lauren Walker

This also entails changing the other themes besides DataONE to show the downloads chart once the endpoint is live

#2 - 01/06/2015 11:42 AM - Matt Jones

Note: we should consider whether to filter out web-crawlers and robots from these download totals, as well as from the totals on our metadata view
pages. The DLM project is going to implement this filter for DataONE, and Peter S. will be doing the work. So we should consider whether we want
to filter the download data we display.

#3 - 04/09/2015 09:17 AM - Lauren Walker
- Parent task set to #6716

#4 - 06/04/2015 10:45 AM - Lauren Walker
- Priority changed from Normal to Low

- Parent task deleted (#6716)

changing to low priority and v1.8.0

#5 - 06/08/2015 04:36 PM - Lauren Walker

- Target version changed from 1.7.0 to 1.8.0

#6 - 06/08/2015 04:52 PM - Lauren Walker

- Target version changed from 1.8.0to 1.7.1

#7 - 06/26/2015 11:22 AM - Lauren Walker

- Target version changed from 1.7.1 to 1.7.0

#8 - 06/30/2015 12:58 PM - Lauren Walker

- Target version changed from 1.7.0 to 1.7.1

The logsolr endpoint isn't live just yet so this chart may have to wait until 1.7.1

#9 - 07/15/2015 01:26 PM - Lauren Walker

- Target version changed from 1.7.1to 1.7.2

#10 - 07/27/2015 02:48 PM - Lauren Walker

- Target version changed from 1.7.2 to 1.8.0
the event log index endpoint is still not open to queries yet, so this will wait until a later version

#11 - 11/04/2015 12:55 PM - Lauren Walker

- Target version changed from 1.8.0 to 1.9.0

#12 - 11/04/2015 01:13 PM - Lauren Walker

- Subject changed from Use real download statistics from the logsolr endpoint in the Downloads graph to Add downloads chart to the Stats View using
the log agg Solr index

- Priority changed from Low to Normal

#13 - 11/24/2015 12:06 PM - Lauren Walker
- Status changed from New to Resolved

- translation missing: en.field_remaining_hours set to 0.0
